Invite someone
POST
Emails them a link to /invite/<id> (or, without mail set up, the app shows the link to copy). Owners and admins only.
sessioncookie
better-auth.session_token<token>Set by POST /api/auth/sign-in/email.
application/json- body
email*stringMatch
^(?:[A-Za-z0-9_'+\-]+\.)*[A-Za-z0-9_'+\-]*[A-Za-z0-9_+-]@(?:[A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$Format
emailrole*stringValue in
"member""admin"organizationId*stringThe workspace id.
The invitation.
curl -X POST 'https://app.useroster.work/api/auth/organization/invite-member' \ -H 'Content-Type: application/json' \ -d '{ "email": "user@example.com", "role": "member", "organizationId": "string"}'Example Response
Empty